Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1509970

Summary: abrt: OpenPGPCheck disabled in fedora 26?
Product: [Fedora] Fedora Reporter: John Hein <txn2tahx3v>
Component: abrtAssignee: Martin Kutlak <mkutlak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: abrt-devel-list, jakub, jmilan, mhabrnal, michal.toman, mkutlak, mmarusak, msuchy
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: abrt-2.10.3-4.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-11-28 16:23:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description John Hein 2017-11-06 13:23:52 UTC
Why was OpenPGPCheck left disabled in Fedora 26 (abrt-2.10.3-3.fc26.x86_64)?  I understand why it's disabled in rawhide (no signed packages in rawhide).  Was this just an oversight that should not have been applied to the f26 branch package (or other release branches)?

See also this commit:

https://src.fedoraproject.org/rpms/abrt/c/a074333d286d3d85fabaafacea8e4ee2ae6bf144?branch=master

Comment 1 Martin Kutlak 2017-11-16 14:52:46 UTC
Thank you for reporting this issue.

You are right. It was an oversight during the Fedora 26 branching and it shouldn't have been applied to the f26 branch.

The GPG check should be enabled in the next version of abrt.

Comment 2 Fedora Update System 2017-11-16 14:53:40 UTC
abrt-2.10.3-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f963d3b8e

Comment 3 Fedora Update System 2017-11-18 01:44:44 UTC
abrt-2.10.3-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f963d3b8e

Comment 4 Fedora Update System 2017-11-28 16:23:21 UTC
abrt-2.10.3-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.